VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest:

## Avaliable Methods
public method | get_comment ()
public method | get_backup_password ()
public method | set_comment ()
public method | set_location_type ()
public method | get_location_type ()
public method | get_location_password ()
public method | get_parts ()
public method | set_location_password ()
public method | get_location_user ()
public method | set_parts ()
public method | set_backup_password ()
public method | get_location ()
public method | set_location ()
public method | new ()
public method | set_location_user ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest` class Structure representing requested backup piece

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_backup_password | ( |  | ) |

Gets the value of 'backup_password' property.

Return values

  backup_password | - The current value of the field. a password for a backup piece The backupPassword must adhere to the following password requirements: At least 8 characters, cannot be more than 20 characters in length. At least 1 uppercase letter. At least 1 lowercase letter. At least 1 numeric digit. At least 1 special character (i.e. any character not in [0-9,a-z,A-Z]). Only visible ASCII characters (for example, no space). Optional#

Code:
click to view
# Number of lines of code in get_backup_password: 4
sub get_backup_password {
my ($self, %args) = @_;
return $self->{'backup_password'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_comment | ( |  | ) |

Gets the value of 'comment' property.

Return values

  comment | - The current value of the field. Custom comment Optional#

Code:
click to view
# Number of lines of code in get_comment: 4
sub get_comment {
my ($self, %args) = @_;
return $self->{'comment'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_location | ( |  | ) |

Gets the value of 'location' property.

Return values

  location | - The current value of the field. path or url String#

Code:
click to view
# Number of lines of code in get_location: 4
sub get_location {
my ($self, %args) = @_;
return $self->{'location'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_location_password | ( |  | ) |

Gets the value of 'location_password' property.

Return values

  location_password | - The current value of the field. password for location Optional#

Code:
click to view
# Number of lines of code in get_location_password: 4
sub get_location_password {
my ($self, %args) = @_;
return $self->{'location_password'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_location_type | ( |  | ) |

Gets the value of 'location_type' property.

Return values

  location_type | - The current value of the field. a type of location LocationType#

Code:
click to view
# Number of lines of code in get_location_type: 4
sub get_location_type {
my ($self, %args) = @_;
return $self->{'location_type'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_location_user | ( |  | ) |

Gets the value of 'location_user' property.

Return values

  location_user | - The current value of the field. username for location Optional#

Code:
click to view
# Number of lines of code in get_location_user: 4
sub get_location_user {
my ($self, %args) = @_;
return $self->{'location_user'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::get_parts | ( |  | ) |

Gets the value of 'parts' property.

Return values

  parts | - The current value of the field. a list of optional parts. Run backup parts APIs to get list of optional parts and description List#

Code:
click to view
# Number of lines of code in get_parts: 4
sub get_parts {
my ($self, %args) = @_;
return $self->{'parts'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{parts} = $args{'parts'};
$self->{backup_password} = $args{'backup_password'};
$self->{location_type} = $args{'location_type'};
$self->{location} = $args{'location'};
$self->{location_user} = $args{'location_user'};
$self->{location_password} = $args{'location_password'};
$self->{comment} = $args{'comment'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest');
$self->set_binding_name('name' => 'com.vmware.appliance.recovery.backup.job.backup_request');
$self->set_binding_field('key' => 'parts', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'backup_password', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::SecretType()));
$self->set_binding_field('key' => 'location_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Recovery::Backup', 'type_name' => 'Job::LocationType'));
$self->set_binding_field('key' => 'location', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'location_user', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'location_password', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::SecretType()));
$self->set_binding_field('key' => 'comment', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_backup_password | ( |  | ) |

Sets the given value for 'backup_password' property.

Parameters

  backup_password | - New value for the field. a password for a backup piece The backupPassword must adhere to the following password requirements: At least 8 characters, cannot be more than 20 characters in length. At least 1 uppercase letter. At least 1 lowercase letter. At least 1 numeric digit. At least 1 special character (i.e. any character not in [0-9,a-z,A-Z]). Only visible ASCII characters (for example, no space).

Code:
click to view
# Number of lines of code in set_backup_password: 5
sub set_backup_password {
my ($self, %args) = @_;
$self->{'backup_password'} = $args{'backup_password'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_comment | ( |  | ) |

Sets the given value for 'comment' property.

Parameters

  comment | - New value for the field. Custom comment

Code:
click to view
# Number of lines of code in set_comment: 5
sub set_comment {
my ($self, %args) = @_;
$self->{'comment'} = $args{'comment'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_location | ( |  | ) |

Sets the given value for 'location' property.

Parameters

  location | - New value for the field. path or url

Code:
click to view
# Number of lines of code in set_location: 5
sub set_location {
my ($self, %args) = @_;
$self->{'location'} = $args{'location'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_location_password | ( |  | ) |

Sets the given value for 'location_password' property.

Parameters

  location_password | - New value for the field. password for location

Code:
click to view
# Number of lines of code in set_location_password: 5
sub set_location_password {
my ($self, %args) = @_;
$self->{'location_password'} = $args{'location_password'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_location_type | ( |  | ) |

Sets the given value for 'location_type' property.

Parameters

  location_type | - New value for the field. a type of location

Code:
click to view
# Number of lines of code in set_location_type: 5
sub set_location_type {
my ($self, %args) = @_;
$self->{'location_type'} = $args{'location_type'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_location_user | ( |  | ) |

Sets the given value for 'location_user' property.

Parameters

  location_user | - New value for the field. username for location

Code:
click to view
# Number of lines of code in set_location_user: 5
sub set_location_user {
my ($self, %args) = @_;
$self->{'location_user'} = $args{'location_user'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest::set_parts | ( |  | ) |

Sets the given value for 'parts' property.

Parameters

  parts | - New value for the field. a list of optional parts. Run backup parts APIs to get list of optional parts and description

Code:
click to view
# Number of lines of code in set_parts: 5
sub set_parts {
my ($self, %args) = @_;
$self->{'parts'} = $args{'parts'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Backup/Job.pm